<ui:composition
        xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html"
        xmlns="http://www.w3.org/1999/xhtml">
    <!-- ADT -->
    <li class="dropdown">
        <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button"
           aria-expanded="false">
            <h:outputText value="Menu One"/>
            <span class="caret"></span>
        </a>
        <ul class="dropdown-menu" role="menu">
            <li>
                <h:outputLink value="/${rootArtifactId}">
                    <h:outputText value="Sub menu 1"/>
                </h:outputLink>
            </li>
            <li>
                <h:outputLink value="/${rootArtifactId}">
                    <h:outputText value="Sub menu 2"/>
                </h:outputLink>
            </li>
        </ul>
    </li>
    <li class="dropdown">
        <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button"
           aria-expanded="false">
            <h:outputText value="Menu Two"/>
            <span class="caret"></span></a>
        <ul class="dropdown-menu" role="menu">

            <li class="dropdown-submenu" role="menu">
                <a href="/${rootArtifactId}">
                    <h:outputText value="Sub menu 2-1"/>
                </a>
                <ul class="dropdown-menu" role="menu">
                    <li>
                        <h:outputLink value="/${rootArtifactId}">
                            <h:outputText
                                    value="Sub menu 2-1-1"/>
                        </h:outputLink>
                    </li>
                    <li>
                        <h:outputLink value="/${rootArtifactId}">
                            <h:outputText
                                    value="Sub menu 2-1-2"/>
                        </h:outputLink>
                    </li>
                </ul>
            </li>
            <li>
                <h:outputLink value="/${rootArtifactId}">
                    <h:outputText value="Sub menu 2-2"/>
                </h:outputLink>
            </li>
        </ul>
    </li>
    <li>
        <h:outputLink value="/${rootArtifactId}">
            <h:outputText value="Menu entry"/>
        </h:outputLink>
    </li>
</ui:composition>